---

#! /zdci/db/releases/20260422004513/lkp-src/jobs/kernel-selftests.yaml
suite: kernel-selftests
testcase: kernel-selftests
category: functional
need_cpu: 2
need_memory: 2G
kernel-selftests:
  group: mm
job_origin: kernel-selftests.yaml

#! queue options
queue_cmdline_keys:
- branch
- commit
queue: bisect
testbox: igk-rpl-d03
tbox_group: igk-rpl-d03
job_file: "/lkp/jobs/scheduled/igk-rpl-d03/kernel-selftests-mm-2-debian-13-x86_64-20250902.cgz-599bbba5a36f-20260426-67046-1aq3dso-0.yaml"
id: d625b9301b3a131c7c391226aae709a65ac85847
queuer_version: "/zdci/src/lkp"

#! /zdci/db/releases/20260422004513/lkp-src/hosts/igk-rpl-d03
model: Raptor Lake
nr_cpu: 16
memory: 32G
nr_ssd_partitions: 1
ssd_partitions: "/dev/disk/by-id/nvme-WD_PC_SN5000S_SDEPNSJ-512G-1001_251808807403-part4"
rootfs_partition: "/dev/disk/by-id/nvme-WD_PC_SN5000S_SDEPNSJ-512G-1001_251808807403-part3"
brand: Intel(R) Core(TM) i7-13620H
ucode: '0x4129'
kernel_cmdline_hw: acpi_rsdp=0x3f88a014
belongs_to: igk
need_kconfig_hw:
- BTRFS_FS

#! /zdci/db/releases/20260422004513/lkp-src/include/category/functional
kmsg:
heartbeat:
meminfo:

#! /zdci/db/releases/20260422004513/lkp-src/include/category/ALL
sanity-check:

#! /zdci/db/releases/20260422004513/lkp-src/include/queue/cyclic
commit: 599bbba5a36f6de57ab14c373c25881e2b5273f5
sysctl:
  sc_nr_hugepages: 2

#! /zdci/db/releases/20260422004513/lkp-src/programs/kernel-selftests/include
need_kernel_version:
- ">= v6.3-rc1, gcc"
- ">= v6.3-rc1, clang"
need_kconfig:
- DEVICE_PRIVATE: "y"
- GUP_BENCHMARK: "y"
- GUP_TEST: "y"
- MEM_SOFT_DIRTY: y, x86_64
- CHECKPOINT_RESTORE: "y"
- EXPERT: "y"
- PROC_FS: "y"
- PTE_MARKER_UFFD_WP: "y"
- SYSVIPC: "y"
- TEST_HMM: m
- TEST_VMALLOC: m
- TRANSPARENT_HUGEPAGE: "y"
- USERFAULTFD: "y"
- ANON_VMA_NAME: "y"
initrds:
- linux_headers
- linux_selftests
kconfig: x86_64-rhel-9.4-kselftests
enqueue_time: 2026-04-26 21:58:35.498045556 +02:00
_rt: "/result/kernel-selftests/mm-2/igk-rpl-d03/debian-13-x86_64-20250902.cgz/x86_64-rhel-9.4-kselftests/gcc-14/599bbba5a36f6de57ab14c373c25881e2b5273f5"
compiler: gcc-14
head_commit: 1a27665909168998e778e72f1493100f2b483fe2
base_commit: '028ef9c96e96197026887c0f092424679298aae8'
branch: linux-devel/devel-hourly-20260423-235305
rootfs: debian-13-x86_64-20250902.cgz

#! schedule options
LKP_SERVER: internal-lkp-server
scheduler_version: "/lkp/lkp/.src-20260426-035442"
arch: x86_64
max_uptime: 36000
initrd: "/osimage/debian/debian-13-x86_64-20250902.cgz"
bootloader_append:
- root=/dev/ram0
- RESULT_ROOT=/result/kernel-selftests/mm-2/igk-rpl-d03/debian-13-x86_64-20250902.cgz/x86_64-rhel-9.4-kselftests/gcc-14/599bbba5a36f6de57ab14c373c25881e2b5273f5/0
- BOOT_IMAGE=/pkg/linux/x86_64-rhel-9.4-kselftests/gcc-14/599bbba5a36f6de57ab14c373c25881e2b5273f5/vmlinuz-7.0.0-00005-g599bbba5a36f
- branch=linux-devel/devel-hourly-20260423-235305
- job=/lkp/jobs/scheduled/igk-rpl-d03/kernel-selftests-mm-2-debian-13-x86_64-20250902.cgz-599bbba5a36f-20260426-67046-1aq3dso-0.yaml
- user=lkp
- ARCH=x86_64
- kconfig=x86_64-rhel-9.4-kselftests
- commit=599bbba5a36f6de57ab14c373c25881e2b5273f5
- intremap=posted_msi
- acpi_rsdp=0x3f88a014
- max_uptime=36000
- LKP_SERVER=internal-lkp-server
- nokaslr
- selinux=0
- debug
- apic=debug
- sysrq_always_enabled
- rcupdate.rcu_cpu_stall_timeout=100
- net.ifnames=0
- printk.devkmsg=on
- panic=-1
- softlockup_panic=1
- nmi_watchdog=panic
- oops=panic
- load_ramdisk=2
- prompt_ramdisk=0
- drbd.minor_count=8
- systemd.log_level=err
- ignore_loglevel
- console=tty0
- earlyprintk=ttyS0,115200
- console=ttyS0,115200
- vga=normal
- rw
modules_initrd: "/pkg/linux/x86_64-rhel-9.4-kselftests/gcc-14/599bbba5a36f6de57ab14c373c25881e2b5273f5/modules.cgz"
linux_headers_initrd: "/pkg/linux/x86_64-rhel-9.4-kselftests/gcc-14/599bbba5a36f6de57ab14c373c25881e2b5273f5/linux-headers.cgz"
linux_selftests_initrd: "/pkg/linux/x86_64-rhel-9.4-kselftests/gcc-14/599bbba5a36f6de57ab14c373c25881e2b5273f5/linux-selftests.cgz"
bm_initrd: "/osimage/deps/debian-13-x86_64-20250902.cgz/lkp_20251225.cgz,/osimage/deps/debian-13-x86_64-20250902.cgz/run-ipconfig_20251230.cgz,/osimage/deps/debian-13-x86_64-20250902.cgz/kernel-selftests_20260201.cgz,/osimage/pkg/debian-13-x86_64-20250902.cgz/kernel-selftests-x86_64-9f2693489ef8-1_20260201.cgz,/osimage/deps/debian-13-x86_64-20250902.cgz/hw_20250902.cgz"
ucode_initrd: "/osimage/ucode/intel-ucode-20250909.cgz"
lkp_initrd: "/osimage/user/lkp/lkp-x86_64.cgz"
site: igk

#! /zdci/db/releases/20260425193619/lkp-src/include/site/igk
LKP_CGI_PORT: 80
LKP_CIFS_PORT: 139
oom-killer:
watchdog:
job_initrd: "/lkp/jobs/scheduled/igk-rpl-d03/kernel-selftests-mm-2-debian-13-x86_64-20250902.cgz-599bbba5a36f-20260426-67046-1aq3dso-0.cgz"
last_kernel: 6.1.0-42-amd64
finish_time: 2026-04-26 22:41:13.305431395 +02:00

#! user overrides
kernel: "/pkg/linux/x86_64-rhel-9.4-kselftests/gcc-14/599bbba5a36f6de57ab14c373c25881e2b5273f5/vmlinuz-7.0.0-00005-g599bbba5a36f"
result_root: "/result/kernel-selftests/mm-2/igk-rpl-d03/debian-13-x86_64-20250902.cgz/x86_64-rhel-9.4-kselftests/gcc-14/599bbba5a36f6de57ab14c373c25881e2b5273f5/0"
user: lkp
dequeue_time: 2026-04-26 22:33:26.467585879 +02:00
job_state: finished
loadavg: 2.15 1.52 0.73 2/257 34965
start_time: '1777235759'
end_time: '1777236063'
version: "/lkp/lkp/.src-20260426-035442:39fb370def0f:0c5f92a51470-dirty"
